> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a short-lived token

> Generate a short-lived token (for iframe scenarios)



## OpenAPI

````yaml /docflow/en/rest-api/openapi.bundle.yaml get /api/app-api/sip/platform/v2/auth/token
openapi: 3.0.0
info:
  title: DocFlow API
  description: >-
    DocFlow REST API, providing file upload and file processing result retrieval
    capabilities
  version: 2.8.4
servers:
  - url: https://docflow.textin.com
security:
  - ApiId: []
    SecretCode: []
paths:
  /api/app-api/sip/platform/v2/auth/token:
    get:
      summary: Generate a short-lived token
      description: Generate a short-lived token (for iframe scenarios)
      operationId: authToken
      responses:
        '200':
          description: Token information successfully retrieved
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - $ref: '#/components/schemas/TokenResult'
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: Status code
          example: 200
        msg:
          type: string
          description: Status description
      required:
        - code
        - msg
    TokenResult:
      type: object
      properties:
        result:
          type: object
          properties:
            token:
              type: string
              description: Valid token for iframe scenarios
              example: abcd
            expiry:
              type: integer
              description: Expiration time (in epoch timestamp format, unit is seconds)
              example: 1700000000
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````